package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
)

type CloudBundleDao interface {
	FindCloudBundleAndTotal(page, limit string) (*[]model.CloudBundle, int64, error)
	GetCloudBundle(id string) (m *model.CloudBundle, err error)
	GetCloudBundleLast(os string) (m *model.CloudBundle, err error)
	GetCloudBundleVersion(os, version, platform string) (m *model.CloudBundle, err error)
}
