﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewCronTaskDb(engine *xorm.Engine) dao.CronTaskDao {
	return &CronTaskDb{Db: engine}
}

type CronTaskDb struct {
	Db *xorm.Engine
}

func (cdb CronTaskDb) MapCrontabCfg() *[]model.CronTask {
	var c []model.CronTask
	// 数据库查询如果有下划线会认为是一个任意字符
	if err := cdb.Db.Where("`key` LIKE 'cron\\_%' AND val != ''").Cols("`key`,`val`").Find(&c); err != nil || len(c) == 0 {
		zhios_order_relate_logx.Warn(err)
		return nil
	}
	return &c
}
