package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
)

type AdvertisingCallbackDao interface {
	FindAdvertisingCallbackAndTotal(page, limit, amount, uid, startTime, endTime, platform, types string) (*[]model.AdvertisingCallback, int64, error)
	AdvertisingCallbackCount(uid, startTime, endTime, typePrefix string) (int64, error)
	AdvertisingCallbackDeleteByDateByPage(date string, limit int) (int64, error)
}
