package model

type AdvertisingBasic struct {
	Id                  int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Info                string `json:"info" xorm:"comment('json') TEXT"`
	AndroidAdIsOpen     int    `json:"android_ad_is_open" xorm:"not null default 0 comment('安卓广告是否开启(1:开启 0:不开启)') TINYINT(1)"`
	IosAdIsOpen         int    `json:"ios_ad_is_open" xorm:"not null default 0 comment('ios广告是否开启(1:开启 0:不开启)') TINYINT(1)"`
	AndroidOpenAdIsOpen int    `json:"android_open_ad_is_open" xorm:"not null default 0 comment('安卓广告是否开启(1:开启 0:不开启)') TINYINT(1)"`
	IosOpenAdIsOpen     int    `json:"ios_open_ad_is_open" xorm:"not null default 0 comment('ios广告是否开启(1:开启 0:不开启)') TINYINT(1)"`
	Voice               string `json:"voice" xorm:"VARCHAR(255)"`
}
