package model

type EggEnergyAssistanceDetail struct {
	Id          int64  `json:"id" xorm:"pk autoincr comment('自增主键') BIGINT(20)"`
	Uid         int64  `json:"uid" xorm:"not null comment('用户id') BIGINT(20)"`
	AssistedUid int64  `json:"assisted_uid" xorm:"not null comment('助力用户id') BIGINT(20)"`
	SignId      int64  `json:"sign_id" xorm:"not null comment('签到id') BIGINT(20)"`
	CreatedAt   string `json:"created_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdatedAt   string `json:"updated_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
