package model

type EggEnergyTeamAssistance struct {
	Id            int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid           int64  `json:"uid" xorm:"not null default 0 comment('用户 ID') BIGINT(20)"`
	AssistedNum   int    `json:"assisted_num" xorm:"not null default 0 comment('助力人数') INT(11)"`
	AssistedTimes int    `json:"assisted_times" xorm:"not null default 0 comment('助力次数') INT(11)"`
	RewardScore   string `json:"reward_score" xorm:"not null default 0.00000000 comment('奖励积分数量') DECIMAL(20,8)"`
	SignId        int64  `json:"sign_id" xorm:"not null default 0 comment('签到id') BIGINT(20)"`
	Date          string `json:"date" xorm:"not null default '0000-00-00' comment('日期') CHAR(50)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
